[OpenWrt-Devel] [PATCH] base-files: make wifi report unknown command
Thibaut VARÈNE
hacks at slashdirt.org
Fri Aug 3 12:18:39 EDT 2018
Avoid having /sbin/wifi silently ignore unknown keywords and execute
"enable"; instead display the help message and exit with an error.
Signed-off-by: Thibaut VARÈNE <hacks at slashdirt.org>
---
package/base-files/files/sbin/wifi | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/package/base-files/files/sbin/wifi b/package/base-files/files/sbin/wifi
index 83befc0d6f..09e483ec55 100755
--- a/package/base-files/files/sbin/wifi
+++ b/package/base-files/files/sbin/wifi
@@ -241,5 +241,5 @@ case "$1" in
reload) wifi_reload "$2";;
reload_legacy) wifi_reload_legacy "$2";;
--help|help) usage;;
- *) ubus call network reload; wifi_updown "enable" "$2";;
+ *) usage; exit 1;;
esac
--
2.13.6 (Apple Git-96)
_______________________________________________
openwrt-devel mailing list
openwrt-devel at lists.openwrt.org
https://lists.openwrt.org/mailman/listinfo/openwrt-devel
More information about the openwrt-devel
mailing list